<div class="row">
  <div class="col-sm-5 col-sm-offset-2 mt-5" style="margin:auto;">
    <h2>Créer un compte</h2>
    <form [formGroup]="signUpForm" (ngSubmit)="onSubmit()"> <!-- formulaire signUp -->
      <div class="form-group">
        <label for="firstname">Prénom</label>
        <input type="text" id="firstname" class="form-control" formControlName="firstname">
      </div>
      <div class="form-group">
        <label for="lastname">Nom</label>
        <input type="text" id="lastname" class="form-control" formControlName="lastname">
      </div>
      <div class="form-group">
        <label for="email">Email</label>
        <input type="text" id="email" class="form-control" formControlName="email">
      </div>
      <div class="form-group">
        <label for="password">Mot de passe</label>
        <input type="password" id="password" class="form-control" formControlName="password">
      </div>
      <button class="btn btn-primary mt-3 flex-fill" type="submit" [disabled]="signUpForm.invalid">Créer mon compte</button> <!-- disabled si le signup formulaire est mal rempli -->
    </form>
    <p class="text-danger">{{ errorMessage }}</p> <!-- On affiche message d'erreur le cas échéant -->
  </div>
</div>
